%define desktop_vendor planetccrma

Summary: Utility to constantly record the last ten seconds of audio
Name: timemachine
Version: 0.3.1
Release: 2%{?dist}
License: GPL 
Group: Applications/Multimedia
Source: http://plugin.org.uk/timemachine/timemachine-%{version}.tar.gz
Source1: timemachine.desktop
URL: http://plugin.org.uk/timemachine/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano, Adrian Likins
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel 
BuildRequires: glib2-devel gtk2-devel desktop-file-utils
BuildRequires: lash-devel libsndfile-devel 

%description
This is a simple jack program to record sounds that would otherwise have been
lost. It is constantly recording a rolling buffer of 10 seconds worth of audio,
and, when you click record it write the last 10 seconds to disk and catches the
recording up to realtime.

%prep
%setup -q

%build
%configure 
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# copy icon to the proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
%{__cp} %{buildroot}%{_datadir}/timemachine/pixmaps/timemachine-icon.png \
        %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/

BASE="Application AudioVideo Audio"
XTRA="X-Jack X-Recorders"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/timemachine
%{_datadir}/timemachine
%{_datadir}/applications/*timemachine.desktop
%{_datadir}/icons/hicolor/64x64/apps/*

%changelog
* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-2
- copy icon to freedesktop location, add post/postun scripts

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-1
- added Planet CCRMA categories to desktop file

* Fri Nov  8 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-1
- updated to 0.3.1 (using lash)

* Mon May 30 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- replaced obsolete Copyright: tag with License:

* Sun Dec 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- spec file cleanup

* Mon Nov 15 2004 Fernando Lopez-Lezcano <nando@ccrma.Stanford.EDU> 0.3.0-1
- updated to 0.3.0

* Thu Sep 25 2004 Fernando Lopez-Lezcano <nando@ccrma.Stanford.EDU> 0.2.5-1
- updated to 0.2.5

* Wed Mar  3 2004 Fernando Lopez-Lezcano <nando@ccrma.Stanford.EDU> 0.2.4-1
- updated to 0.2.4

* Wed Feb  4 2004 Fernando Lopez-Lezcano <nando@ccrma.Stanford.EDU> 0.2.1-1
- updated to 0.2.1, fixed file list
- added to Planet CCCRMA, thanks to Adrian Likins for the original
  spec file!

* Wed Nov 26 2003 Adrian Likins <alikins@redhat.com> 0.0.2-1
- initial package
